#include "pch.h"
#include "ibm2ibm.h"

void ITCPC::IBM2IBM(std::unique_ptr<CBaseFile> pInFile, std::unique_ptr<CBaseFile> pOutFile)
{
	if (pInFile == nullptr || pOutFile == nullptr)
	{
		std::_tcout << _T("Недостаточно памяти.\n");
		return;
	}

	if (!pInFile->Open(false))
	{
		std::_tcout << _T("Ошибка! '") << pInFile->getFileName()._tstring() << _T("' не открывается.\n");
		return;
	}

	if (!pOutFile->Open(true))
	{
		std::_tcout << _T("Ошибка! '") << pOutFile->getFileName()._tstring() << _T("' не открывается.\n");
		return;
	}

	while (!pInFile->isEOF())
	{
		const auto tch = pInFile->ReadChar();
		//if (tch && tch != CHR_R)
		{
			pOutFile->WriteChar(tch);
		}
	}
}

